import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { DialogAssumption } from '../dialogs/dialog.assumption';
import { ListSOP } from '../../libappsop/listsop';

export interface ListAssumptionsColumn {
  Title?: string;
  Description?: string;
  Type?: string;
  Category?: string;
  Importance?: string;
}

export class FormAssumption extends Form {
  public listAssumption = new ListAssumptions();

  public constructor() {
    super('FormAssumptions');
  }
}

class ListAssumptions extends ListSOP<DialogAssumption, ListAssumptionsColumn> {
  public constructor() {
    super('ListAssumptions', new DialogAssumption());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Title: ''};
  }
}

const listAssumptionsContextMenuItem = {
  Create: { ContextMenu: 'listContextMenu339', Name: 'MenuCreate', Label: 'Create' },
  Edit: { ContextMenu: 'listContextMenu339', Name: 'MenuEdit', Label: 'Edit' },
};

export { listAssumptionsContextMenuItem as ListAssumptionsContextMenuItem };
